{
  description = "TailwindCSS LSP + Catppuccin";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
  };

  outputs = {
    self,
    nixpkgs,
  }: let
    pkgs = nixpkgs.legacyPackages.x86_64-linux;
    version = "0.0.14";
  in {
    packages.x86_64-linux.default = with pkgs;
      buildNpmPackage {
        pname = "tailwindcss-language-server";
        inherit version;

        src = ./.;

        makeCacheWritable = true;
        npmDepsHash = "sha256-SH0BaGDtmc+hUoe8CSmiZjTcETUaeSFiN5cl5JmJeaY=";
        npmWorkspace = "packages/tailwindcss-language-server";

        buildInputs = [libsecret] ++ lib.optionals stdenv.isDarwin (with darwin.apple_sdk.frameworks; [Security AppKit]);

        nativeBuildInputs = [python3 pkg-config];

        meta = with lib; {
          description = "Intelligent Tailwind CSS tooling for Visual Studio Code";
          homepage = "https://github.com/tailwindlabs/tailwindcss-intellisense";
          license = licenses.mit;
          maintainers = with maintainers; [happysalada];
          mainProgram = "tailwindcss-language-server";
          platforms = platforms.all;
        };
      };
  };
}
